> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Channel Abandoned Cart Settings

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/abandoned-carts/settings/channels/{channel_id}
Content-Type: application/json

Updates the per-channel overrides for the abandoned cart settings of a store.

#### OAuth Scopes
| UI Name                                      | Permission | Parameter                                     |
|----------------------------------------------|------------|-----------------------------------------------|
| Information & Settings                       | modify     | `store_v2_information`                        |

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/abandoned-carts/abandoned-carts-settings/update-channel-abandoned-cart-settings

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | read-only | `store_v2_information_read_only`| | Information & Settings | modify | `store_v2_information` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `channel_id` (integer, required) — The channel ID of the settings overrides
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a ChannelAbandonedCartSettingsRequest.

- `enable_notification` (boolean, optional, nullable) — Indicates whether or not abandoned cart notification is on. If it is null, it means there is no override for the specified channel.
- `email_customer_until_cart_is_recovered` (boolean, optional, nullable) — Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered. If it is null, it means there is no override for the specified channel.
- `marketing_emails_require_customer_consent` (boolean, optional, nullable) — Indicates whether or not a customer should receive abandoned cart emails based on their consent. If it is null, it means there is no override for the specified channel. By default customers will not receive emails.
- `email_merchant_when_cart_is_converted` (boolean, optional, nullable) — Indicates whether or not a merchant should receive a notification email when a cart is converted into an order. If it is null, it means there is no override for the specified channel.
- `email_merchant_when_cart_is_abandoned` (boolean, optional, nullable) — Indicates whether or not a merchant should receive a notification email when a cart is abandoned. If it is null, it means there is no override for the specified channel.
- `merchant_email_address` (string, optional, nullable) — The email address for receiving merchant notifications. If it is null, it means there is no override for the specified channel.
- `merchant_abandoned_cart_email_frequency_type` (enum, optional, nullable) — Indicates whether to send an email for every abandoned cart or to send a digest email after X number of abandoned carts. If it is null, it means there is no override for the specified channel.
  - Allowed values: `digest`, `individual`
- `merchant_abandoned_cart_digest_email_frequency` (integer, optional, nullable) — The number of abandoned carts to accumulate before a digest email is sent to a merchant. If it is null, it means there is no override for the specified channel.

## Response

### 200

OK

- `data` (ChannelAbandonedCartSettings, optional) — Represents all settings overrides related to the abandoned cart functionality of a store for a channel
- `meta` (metaEmpty_Full, optional) — Response metadata

## Errors

### 401 Unauthorized Error

Unauthorized

- `status` (integer, optional)
- `title` (string, optional)
- `type` (string, optional)
- `instance` (string, optional)
- `errors` (ErrorResponseErrors, optional)

### 422 Unprocessable Entity Error

Unprocessable entity

- `status` (integer, optional)
- `title` (string, optional)
- `type` (string, optional)
- `instance` (string, optional)
- `errors` (ErrorResponseErrors, optional)

## Types

### ChannelAbandonedCartSettings

Represents all settings overrides related to the abandoned cart functionality of a store for a channel

- `enable_notification` (boolean, optional, nullable) — Indicates whether or not abandoned cart notification is on. If it is null, it means there is no override for the specified channel.
- `email_customer_until_cart_is_recovered` (boolean, optional, nullable) — Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered. If it is null, it means there is no override for the specified channel.
- `marketing_emails_require_customer_consent` (boolean, optional, nullable) — Indicates whether or not a customer should receive abandoned cart emails based on their consent. If it is null, it means there is no override for the specified channel. By default customers will not receive emails.
- `email_merchant_when_cart_is_converted` (boolean, optional, nullable) — Indicates whether or not a merchant should receive a notification email when a cart is converted into an order. If it is null, it means there is no override for the specified channel.
- `email_merchant_when_cart_is_abandoned` (boolean, optional, nullable) — Indicates whether or not a merchant should receive a notification email when a cart is abandoned. If it is null, it means there is no override for the specified channel.
- `merchant_email_address` (string, optional, nullable) — The email address for receiving merchant notifications. If it is null, it means there is no override for the specified channel.
- `merchant_abandoned_cart_email_frequency_type` (enum, optional, nullable) — Indicates whether to send an email for every abandoned cart or to send a digest email after X number of abandoned carts. If it is null, it means there is no override for the specified channel.
  - Allowed values: `digest`, `individual`
- `merchant_abandoned_cart_digest_email_frequency` (integer, optional, nullable) — The number of abandoned carts to accumulate before a digest email is sent to a merchant. If it is null, it means there is no override for the specified channel.

### metaEmpty_Full

Response metadata

### ErrorResponseErrors

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "enable_notification": true,
    "email_customer_until_cart_is_recovered": true,
    "marketing_emails_require_customer_consent": true,
    "email_merchant_when_cart_is_converted": true,
    "email_merchant_when_cart_is_abandoned": true,
    "merchant_email_address": "string",
    "merchant_abandoned_cart_email_frequency_type": "digest",
    "merchant_abandoned_cart_digest_email_frequency": 1
  },
  "meta": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1"

payload = {}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1', [
  'body' => '{}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings/channels/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```